function [energia] = VypocetEnergie(signal)
% VypocetEnergie - funkcia vypocita energiu vstupneho signalu
% Syntax: [energia] = VypocetEnergie(signal)
% Vstupy:
    % signal - vstupny signal, z ktoreho je pocitana energia
% Vystupy:
    % energia - energia vstupneho signalu
% Autor: Martina Babicova
    energia = 0;
    for i = 1:length(signal)
        energia = energia + ((signal(i))*(signal(i)));
    end
end